import Divider from '@/components/divider'
import IconFont from '@/components/iconfont'
import { View, Image, Text, Input } from '@tarojs/components'
import { FC, useState } from "react"
import styles from './index.module.scss'
import MCheckbox from '@/components/checkbox'
import NormalButton from '@/components/normalButton'

const Login:FC = () => {

  const [isRemember, setRemember] = useState(false)

  

  return (
    <View className={styles.login}>
      <Image className='full-100' src='https://imgse.com/i/vqiVZF'></Image>
      <View className={styles['login-panel']}>
        <View className={styles['login-title']}>
          <Text>您好，</Text>
          <Text>欢迎来到蜘蛛管家</Text>
        </View>
        <View className={styles['input-bar']}>
          <IconFont name='icon-yonghuming' size={48} color='#999999'></IconFont>
          <Divider direction='vertical'></Divider>
          <Input className='input-bar--account' placeholder='请输入用户名'></Input>
        </View>
        <View className={styles['input-bar']}>
          <IconFont name='icon-mima' size={48} color='#999999'></IconFont>
          <Divider direction='vertical'></Divider>
          <Input className='input-bar--password' placeholder='请输入密码'></Input>
          <IconFont name='icon-yanjing' size={48} color='#999999'></IconFont>
          <IconFont name='icon-biyan' size={48} color='#999999'></IconFont>
        </View>
        <View className={styles['login-options']}>
          <View className={styles['login-option']}>
            {/* <MCheckbox status={isRemember} onSelect={() => selectCallBack(item)} onClose={() => colseCallBack(item)}></MCheckbox> */}
            <Text>记住密码</Text>
          </View>
          <View className={styles['login-option']}>
            <Text>忘记密码？</Text>
          </View>
        </View>
        <NormalButton >登录</NormalButton>
      </View>
    </View>
  )
}
export default Login
